模具论坛

 找回密码
 注册

扫一扫,微信登录

QQ登录

只需一步,快速开始

搜索
热搜: 冲压 注塑 求助
    回车查看更多
    论坛可能已存在您要发布的主题帖 关闭
      查看: 6603|回复: 8

      [求助] 我的PRESSCAD的图层用不了?

      [复制链接]
      发表于 2011-3-21 23:41:44 | 显示全部楼层 |阅读模式
      我的PRESSCAD的图层用不了?原来是用这个可以高好的
      ,关于清除acaddoc.lsp自动生成的问题
      1.搜索全盘的acaddoc.lsp,并删除。
      2.显示隐藏文件,方法见图,高手可过。
      3.把压缩包里的1.lsp改名为acaddoc.lsp  再把改完后的acaddoc.lsp和acadapq.lsp覆盖路径C:\Documents and Settings\用户名\Application Data\Autodesk\AutoCAD 2004\R16\chs\Support下相应的文件即可
      此方法在CAD2004、2006下测试成功



      ; Next available MSG number is  104
      ; MODULE_ID ACAD2006doc_LSP_
      ;;;    ACAD2006DOC.LSP Version 1.0 for AutoCAD 2006
      ;;;
      ;;;    Copyright (C) 1994 - 2005 by Autodesk, Inc.
      ;;;
      ;;;    Permission to use, copy, modify, and distribute this software
      ;;;    for any purpose and without fee is hereby granted, provided
      ;;;    that the above copyright notice appears in all copies and
      ;;;    that both that copyright notice and the limited warranty and
      ;;;    restricted rights notice below appear in all supporting
      ;;;    documentation.
      ;;;
      ;;;    AUTODESK PROVIDES THIS PROGRAM "AS IS" AND WITH ALL FAULTS.
      ;;;    AUTODESK SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTY OF
      ;;;    MERCHANTABILITY OR FITNESS FOR A PARTICULAR USE.  AUTODESK, INC.
      ;;;    DOES NOT WARRANT THAT THE OPERATION OF THE PROGRAM WILL BE
      ;;;    UNINTERRUPTED OR ERROR FREE.
      ;;;
      ;;;    Use, duplication, or disclosure by the U.S. ** is subject to
      ;;;    restrictions set forth in FAR 5**27-19 (Commercial Computer
      ;;;    Software - Restricted Rights) and DFAR 25**27-7013(c)(1)(ii)
      ;;;    (Rights in Technical Data and Computer Software), as applicable.
      ;;;
      ;;;.
      ;;;
      ;;;    Note:
      ;;;            This file is loaded automatically by AutoCAD every time
      ;;;            a drawing is opened.  It establishes an autoloader and
      ;;;            other utility functions.
      ;;;
      ;;;    Globalization Note:   
      ;;;            We do not support autoloading applications by the native
      ;;;            language command call (e.g. with the leading underscore
      ;;;            mechanism.)

      ;;;===== Raster Image Support for Clipboard Paste Special =====
      ;;
      ;; IMAGEFILE
      ;;
      ;; Allow the IMAGE command to accept an image file name without
      ;; presenting the file dialog, even if filedia is on.
      ;; Example: (imagefile "c:/images/house.bmp")
      ;;
      (defun imagefile (filename / filedia-save cmdecho-save)
        (setq filedia-save (getvar "FILEDIA"))
        (setq cmdecho-save (getvar "CMDECHO"))
        (setvar "FILEDIA" 0)
        (setvar "CMDECHO" 0)
        (command "_.-image" "_attach" filename)
        (setvar "FILEDIA" filedia-save)
        (setvar "CMDECHO" cmdecho-save)
        (princ)
      )
      ;;;=== General Utility Functions ===
      ;   R12 compatibility - In R12 (acad_helpdlg) was an externally-defined
      ;   ADS function.  Now it's a simple AutoLISP function that calls the
      ;   built-in function (help).  It's only purpose is R12 compatibility.  
      ;   If you are calling it for anything else, you should almost certainly
      ;   be calling (help) instead.

      (defun acad_helpdlg (helpfile topic)
        (help helpfile topic)
      )

      (defun *merr* (msg)
        (setq *error* m:err m:err nil)
        (princ)
      )
      (defun *merrmsg* (msg)
        (princ msg)
        (setq *error* m:err m:err nil)
        (princ)
      )
      ;; Loads the indicated ARX app if it isn't already loaded
      ;; returns nil if no load was necessary, else returns the
      ;; app name if a load occurred.
      (defun verify_arxapp_loaded (app)
        (if (not (loadedp app (arx)))
            (arxload app f)
        )
      )
      ;; determines if a given application is loaded...
      ;; general purpose: can ostensibly be used for appsets (arx) or (ads) or....
      ;;
      ;; app is the filename of the application to check (extension is required)
      ;; appset is a list of applications, (such as (arx) or (ads)
      ;;
      ;; returns T or nil, depending on whether app is present in the appset
      ;; indicated.  Case is ignored in comparison, so "foo.arx" matches "FOO.ARX"
      ;; Also, if appset contains members that contain paths, app will right-match
      ;; against these members, so "bar.arx" matches "c:\\path\\bar.arx"; note that
      ;; "bar.arx" will *not* match "c:\\path\\foobar.arx."
      (defun loadedp (app appset)
        (cond (appset  (or
                           ;; exactly equal? (ignoring case)
                           (= (strcase (car appset))
                              (strcase app))
                           ;; right-matching? (ignoring case, but assuming that
                           ;; it's a complete filename (with a backslash before it)
            (and
                (> (strlen (car appset)) (strlen app))
                            (= (strcase (substr (car appset)
                                                (- (strlen (car appset))
                                                   (strlen app)
                                                )
                                        )
                               )
                               (strcase (strcat "\\" app))
                            )
               )
                           ;; no match for this entry in appset, try next one....
                           (loadedp app (cdr appset)) )))
      )

      ;;; ===== Single-line MText editor =====
      (defun LispEd (contents / fname dcl state)
        (if (not (setq fname (getvar "program")))
           (setq fname "acad")
        )
        (strcat fname ".dcl")
        (setq dcl (load_dialog fname))
        (if (not (new_dialog "LispEd" dcl)) (exit))
        (set_tile "contents" contents)
        (mode_tile "contents" 2)
        (action_tile "contents" "(setq contents $value)")
        (action_tile "accept" "(done_dialog 1)")
        (action_tile "mtexted" "(done_dialog 2)" )
        (setq state (start_dialog))
        (unload_dialog dcl)
        (cond
          ((= state 1) contents)
          ((= state 2) -1)
          (t 0)
        )
      )
      ;;; ===== Discontinued commands =====
      (defun c:ddselect(/ cmdecho-save)
        (setq cmdecho-save (getvar "CMDECHO"))
        (setvar "CMDECHO" 0)
        (command "._+options" 7)
        (setvar "CMDECHO" cmdecho-save)
        (princ)
      )
      (defun c:ddgrips(/ cmdecho-save)
        (setq cmdecho-save (getvar "CMDECHO"))
        (setvar "CMDECHO" 0)
        (command "._+options" 7)
        (setvar "CMDECHO" cmdecho-save)
        (princ)
      )
      (defun c:gifin ()
        (alert "\n不再支持 GIFIN 命令。\n请使用 IMAGE 命令来附着光栅图像文件。\n")
        (princ)
      )
      (defun c:pcxin ()
        (alert "\n不再支持 PCXIN 命令。\n请使用 IMAGE 命令来附着光栅图像文件。\n")
        (princ)
      )
      (defun c:tiffin ()
        (alert "\n不再支持 TIFFIN 命令。\n请使用 IMAGE 命令来附着光栅图像文件。\n")
        (princ)
      )
      (defun c:ddemodes()
        (alert "“对象特性”工具栏包含了 DDEMODES 的功能。\nDDEMODES 已废弃。\n\n欲知详细信息,请从 AutoCAD 帮助的“索引”选项卡中选择“DDEMODES”。")
        (princ)
      )
      (defun c:ddrmodes(/ cmdecho-save)
        (setq cmdecho-save (getvar "CMDECHO"))
        (setvar "CMDECHO" 0)
        (command "._+dsettings" 0)
        (setvar "CMDECHO" cmdecho-save)
        (princ)
      )
      ;;; ===== AutoLoad =====
      ;;; Check list of loaded <apptype> applications ("ads" or "arx")
      ;;; for the name of a certain appplication <appname>.
      ;;; Returns T if <appname> is loaded.
      (defun ai_AppLoaded (appname apptype)
         (apply 'or
            (mapcar
              '(lambda (j)
           (wcmatch
                     (strcase j T)
                     (strcase (strcat "*" appname "*") T)
                  )   
               )
        (eval (list (read apptype)))
            )
         )
      )
      ;;  
      ;;  Native Rx commands cannot be called with the "C:" syntax.  They must
      ;;  be called via (command).  Therefore they require their own autoload
      ;;  command.
      (defun autonativeload (app cmdliste / qapp)
        (setq qapp (strcat "\"" app "\""))
        (setq initstring "\n正在初始化...")
        (mapcar
         '(lambda (cmd / nom_cmd native_cmd)
            (progn
              (setq nom_cmd (strcat "C:" cmd))
              (setq native_cmd (strcat "\"_" cmd "\""))
              (if (not (eval (read nom_cmd)))
                  (eval
                   (read (strcat
                          "(defun " nom_cmd "()"
                          "(setq m:err *error* *error* *merrmsg*)"
                          "(if (ai_ffile " qapp ")"
                          "(progn (princ initstring)"
                          "(_autoarxload " qapp ") (command " native_cmd "))"
                          "(ai_nofile " qapp "))"

      本帖子中包含更多资源

      您需要 登录 才可以下载或查看,没有帐号?注册

      x
       楼主| 发表于 2011-3-21 23:44:57 | 显示全部楼层
      我来顶一下,我的PRESSCAD的图层用不了,不小心多栓了一个文件原来是这样搞的
      ,关于清除acaddoc.lsp自动生成的问题
      1.搜索全盘的acaddoc.lsp,并删除。
      2.显示隐藏文件,方法见图,高手可过。
      3.把压缩包里的1.lsp改名为acaddoc.lsp  再把改完后的acaddoc.lsp和acadapq.lsp覆盖路径C:\Documents and Settings\用户名\Application Data\Autodesk\AutoCAD 2004\R16\chs\Support下相应的文件即可
      此方法在CAD2004、2006下测试成功
       楼主| 发表于 2011-3-23 23:44:04 | 显示全部楼层
      怎么办啊,要过日子呢?那为有这个东西啊,给我一份啊
      发表于 2011-3-25 07:49:30 | 显示全部楼层
      去找统赢公司处理呀!
      07em05
      发表于 2011-4-5 03:07:07 | 显示全部楼层
      重装     ···
      发表于 2011-6-8 21:18:37 | 显示全部楼层
      谢谢。。。试试看。。。
      发表于 2011-6-11 14:20:13 | 显示全部楼层
      我的是新建立CAD文件可以用,但是以前的文件重新打开图层就用不了, 那位高手指点一下,谢谢
      发表于 2011-7-23 11:07:04 | 显示全部楼层
      谢谢分享!试一试先!
      发表于 2011-8-9 07:33:13 | 显示全部楼层
      谁有PRESSCAD下载地址,传一个上来,不胜感激!
      您需要登录后才可以回帖 登录 | 注册

      本版积分规则

      关闭

      招聘信息 上一条 /5 下一条

      关闭

      求职信息 上一条 /5 下一条

      关闭

      技术求助 上一条 /5 下一条

      QQ|小黑屋|手机版|模具论坛 ( 浙ICP备15037217号 )

      GMT+8, 2025-5-13 04:24

      Powered by Discuz! X3.4

      © 2001-2013 Comsenz Inc.

      快速回复
      返回顶部
      返回列表
       
      客服电话:0577-61318188
      模具论坛交流群:
      模具论坛交流群
      工作时间:
      08:30-17:30